import createAxios from '@/utils/request'

// 方案列表
export function getSchemeTree() {
    return createAxios({
        url: '/cs-device-boot/wlRecord/schemeTree',
        method: 'GET'
    })
}

// 根据方案查询测试项信息
export function getTestRecordInfo(id: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/getTestRecordById?testRecordId=' + id,
        method: 'GET'
    })
}
//新增修改方案
export function addPlan(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/updateSchemeRecord',
        method: 'POST',
        data
    })
}

//新增测试项
export function addRecord(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/addRecord',
        method: 'POST',
        data
    })
}

//新增测试项
export function updateRecord(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/updateTestRecord',
        method: 'POST',
        data
    })
}

//删除方案或测试项
export function delRecord(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/deleteRecord?id=' + data.id,
        method: 'DELETE'
    })
}

//查询历史趋势折线图
export function getHistoryTrend(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/queryCommonStatisticalByTest',
        method: 'POST',
        data
    })
}

//查询设备列表
export function getDeviceList(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/queryPage',
        method: 'POST',
        data
    })
}

//添加测试项中的设备基础数据
export function addDevice(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/saveDataRecord',
        method: 'POST',
        data
    })
}

//删除测试项中的设备基础数据
export function delDevice(data: any) {
    return createAxios({
        url: '/cs-device-boot/wlRecord/deleteDataRecord',
        method: 'DELETE',
        data
    })
}
//方案数据-》根据测试项获取暂态事件
export function getEventByItem(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/data/getEventByItem',
        method: 'POST',
        params: data
    })
}
